<?php

namespace App\System\Model;
use App\System\Basic\beModel;

class MenuModel extends beModel {
    public $table = "be_menus";
    public $primary_key = "mid";
    //@ioncube.dk beEncrypt("be_diyocp","beGetMenuTypes") -> "34ee83ca5116dac242c6bdbcce4655c0" RANDOM
    public static function beGetMenuTypes(){
        return [
            "url" => "Link",
            "menu" => "Menu",
            "altmenu" => "Alt Menu"
        ];
    }
    //@ioncube.dk beEncrypt("be_diyocp","beGetMenuPositions") -> "c01e8d0fb67ddaedfc18b601f17e6b27" RANDOM
    public static function beGetMenuPositions(){
        return [
            "all" => "Hepsi",
            "header" => "Header",
            "footer" => "Footer"
        ];
    }
    //@ioncube.dk beEncrypt("be_diyocp","beGetMenuStatus") -> "bc1825d125023fb23c98c08cb7a48b93" RANDOM
    public static function beGetMenuStatus(){
        return [
            0 => [
                0 => "Pasif",
                1 => "danger"
            ],
            1 => [
                0 => "Aktif",
                1 => "success"
            ]
        ];
    }
}

?>